# EXPANSIONARY
> This mod requires `SLMACore` from thunderstore directly to run as library. 

**DO NOT GET SLMACORE FROM OTHER SOURCE OTHER THAN THUNDERSTORE VERSION!**

**EXPANSIONARY** is a mod that adds a faction with units that will be updated from times to times, depends on the idea that seems interesting or fitting to be implemented and playable to be added to your faction armament.

## Additions

__Tropical__

Water, Sand, Rock, the natural phenomena untouched by the masses, holds many mysteries and dangers lies beyond eyes could meet.

| Unit | Title | Description |
| ------ | ------ | ------ |
| Fisherman | Hooking Personality | Naturally in a pond, this dude can reel something even bigger than a fish, and aren't afraid to use his own prey as his flail. But his kick is really a wonder of today. |
| Wayang | Dance of light | Is it a human? A corpse? A living being? The look on its face certainly tells you it's intention is not friendly and the dual sword absolutely shines the path it take. |

__Great Forest__

Plants and Bugs rules this dense territory, thorns and spikes is coarsed in every place, one could hear a growling roar and scratching of a never before seen beast.

| Unit | Title | Description |
| ------ | ------ | ------ |
| Elven | Refugee of Jungle | These natural inhibitors of the forest guard their place with strick rule. There's a rumor said that their sword heals those who are allied with themself and damage those who defies them. |
| Forest Archer | Woods watchmen | Same kind with the Elfs, these folks gather nearby materials and using a very special and bouncy fruits as their choice of arrow. |
| Bug Fanatic | Buzzing | a Deranged human, they friends with the critters who lives inside a moss, making them as their own over protective friendlings, unknowingly ignoring the fact that the maniac just carries their homes. |
| Ghoul | Fungalus | Locals considered it as the guardian of the forest, it's calm yet strick forceful nature resembles the creepiness of the deep. |
| Druid | Spirit of the East | A deity of a jungle fated into a wasteland, this creature will not hesitate to turn those who defies it to a mere moss! (35% Possiblity) Which can be used as an obstacle that might benefit himself in battle. |

__Forgotten Communion__

A group who sacrifices to the unknown being that lurks wherein bridge of loss, it's hollow path brings nothing but the feeling of unbelonging and supreme pressure of silent melancholy.

| Unit | Title | Description | 
| ------ | ------ | ------ |
| Soul Tyrant | Ghostly Feast | With quantity human will prefail, but more is feast to this ever-hungry beast, the more you feed to it, the more reaping it would become. |
| Brewer | Exotic Dose | This lady used his young front to looks weak, but with a fatal throw of a contained-weather potion, she brings end to they who dares to disturb her practices. |
| Behemoth | Burning Calamity | Wherever this wraith goes, an eruptic fog follows him, deaths allows him, pile of bodies left in his wake, if you see a sparks of fire and your eyes blurry because of ashes, you better pray and start running. Legends tells that the horn of this beast is crystalized pain and the eternal flame inside its mind symbolizes it's authority |
| Voidmaster | Abyssal Emissary | A conquerer of the unknown power beyonds the graves and reign over the abyss, being Impenetrable by projectiles, his soul binds by the dark and will forever cursed in void. |

__Chaotic Line__

Unruliness taken action, leaving ashes and remains of what once left as they show the true anarchy behavior of mankind, the law stricken and the border line is it's only taboo.

| Unit | Title | Description |
| ------ | ------ | ------ |
| Helldraw | Fiery Duel | Ready for combat, She has sharp intuition that makes her gunsling and tick-speed draws a dangerous wonder, alongside her shot that provoke heat inside enemy. But that is not her main weapon, But beware, her dodge is a two-edged sword abilty that could either save her or bring her doom, a gambling in a war. |
| Excavator | Vein Miner | Some men you just can't reach, He is capable to dig deep into the earth with a crushing force and a leave a bunch of Bad-O'-Dynamite as your present! |
| Rumbler | Blast Waver | Carrying a heavy shooter, that shoots out a mega bomb, which carries it's heat tempered momentum into a blast wall of a ember splash and an ouch! |

__Warmonger__

The starter of the devastating war, ruthless and merciless, shown as the fate of future destined as the extreme pin-point destructor of humanity.

| Unit | Title | Description |
| ------ | ------ | ------ |
| Mongolian | Vast Hunter | Fearless, these warriors fights with bow in packs, brings fighting spirit to team near them and chase their prey relentlessly with their poisonous targeting. |
| Rogue | Hidden Assassin | No known origins, these hired hitman are going to dispose anyone who is desired to be exterminated undisclosed and personally. |
| Headless Horseman | Executed Warrior | Fast and keen, these stumbling fighter is ready to take on those who chase them by feet and challenged them in quick combat. |
| Paladin | Authoritan Specter | Keeping their holy ground, they shines like the sun and stays steady to take on those who tempted to break their mighty territory. |

## Changelog:


#### (1.0.8)

- Changed name from *Unnamed Peasant* and *Templar* to *Voidmaster* and *Paladin*
- Added 1 more custom ability to *Paladin*.
- Revamped some descriptions and others detail.
- Added more clothing to *Voidmaster*

#### (1.0.7)

- Updated the Dlls which isn't updated before (woops)

#### (1.0.6)

- Added more units to all current factions. (*Bug Fanatic*, *Elven*, *Forest Archer*, *Druid*, *Unnamed Peasant*, *Rumbler*, *Rogue*, *Headless Horseman*, and *Templar*)
- Changed additions units and factions description. 
- **Dead Line** and **Chaotic** factions are now combined into one faction, which is now named **Chaotic Line**.
- Renamed from *Foul Soul* to *Soul Tyrant*.
- Buffing some units and Nerfs some units. 

#### (1.0.5)

- "Eppansionary" changed into "Expansionary", fixed text pronounciation ._.

#### (1.0.4)

- IMPORTANT UPDATE INFO (Delete your SLMACore and install the one from the ThunderStore, use that SLMACore, do not use that is gotten from old version or other mod)
- Fixed mod to be compatible with r2ModMan by integrating icons directly into the
- Fixed Vocal not working properly + Invalid pitch 
- Changed name from *Mongol* and *Fishermen* to *Mongolian* and *Fisherman*
- Nerfed and Buffed all Factions (changed Ghoul to be a more tankier yet less attacky, helldraw damage and cost, etc)
- Changed units additions descriptions (*Fisherman*, *Chaotic*, *Wayang*, *Mongolian*, *Behemoth* and *Great Forest*)

#### (1.0.3)

- Added **Great Forest**, **Dead Line**, **Warmonger**, and **Chaotic** faction
- Added custom icon for both Tropical and Forgotten Communion
- Balanced Fiery Explosion and Fire Arena on Fire Potion by Brewer throw
- Positioned the Faction so it is near to it's closest theme

#### (1.0.2)

- Fixed Fisherman being nullified and naked (not intentional oops)

#### (1.0.1)

- Fixed VocalRef issue that caused mod becomes unplayable (oops)

#### (1.0.0)

- Added **Tropical**, and **Forgotten Communion** faction

## Credit

This mod (__EXPANSIONARY__), is a mod created by me, Geezt Jeez. with the huge amount of help and tutor from **FhpSlime** and **MidnightCow**. The units balance are managed by Googly Eyes. Units additions and details table are designed myself.

Icons made specifically for this mod for Factions and Units are by **HambodyKydz** using Photoshop.

If anyone wanted to ask anything related, ask me through DM in Discord, my tag: 
> Geezt Jeez#1458

_This mod is made possible with the use of_ __SLMACore__ _and_  __FhpSlm__ _from FhpSlime._

**Have fun!**